Bug 489458 - Compiz segfaults whenever packagekit does package updates
Compiz segfaults whenever packagekit does package updates
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-10 04:42 EDT by Dennis Wagelaar
Modified: 2009-12-18 03:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:59:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Relevant part of /var/log/messages (3.27 KB, text/plain)
2009-03-10 04:42 EDT, Dennis Wagelaar
no flags Details
Xorg log file (135.64 KB, text/plain)
2009-03-10 04:43 EDT, Dennis Wagelaar
no flags Details
xorg.conf (786 bytes, text/plain)
2009-03-10 04:44 EDT, Dennis Wagelaar
no flags Details

  None (edit)
Description Dennis Wagelaar 2009-03-10 04:42:00 EDT
Created attachment 334603 [details]
Relevant part of /var/log/messages

Description of problem:
Whenever gnome-packagekit starts installing updates (I have gpk automatically install all updates), compiz crashes somewhere during the process. There don't seems to be specific packages that crash compiz: any package will make compiz segfault.

Version-Release number of selected component (if applicable):
compiz-0.7.8-7.fc10.x86_64
gnome-packagekit-0.3.14-1.fc10.x86_64
yum-3.2.21-2.fc10.noarch
rpm-4.6.0-1.fc10.x86_64
glib2-2.18.4-1.fc10.x86_64
glib2-2.18.4-1.fc10.i386

How reproducible:
Wait for gnome-packagekit to detect & install updates.

Steps to Reproduce:
1. gnome-packagekit automatically starts installing updates
2. somewhere during the transaction, compiz segfaults
3.
  
Actual results:
compiz segfaults on any package update.

Expected results:
compiz should not be affected by package updates.

Additional info:
Comment 1 Dennis Wagelaar 2009-03-10 04:43:54 EDT
Created attachment 334606 [details]
Xorg log file
Comment 2 Dennis Wagelaar 2009-03-10 04:44:49 EDT
Created attachment 334607 [details]
xorg.conf
Comment 3 Dennis Wagelaar 2009-03-10 05:22:35 EDT
Problem occurs on this hardware (intel graphics):
http://www.smolts.org/client/show/pub_3001d0cf-9dd9-49dd-9992-b1d47a9c1b70
Attached log files also belong to this hardware.

The problem also occurs on another computer (nvidia graphics):
http://www.smolts.org/client/show/pub_608e25f0-0a5d-4db3-b4fc-8b6c398451c0
Comment 4 clifford snow 2009-03-28 17:18:12 EDT
I have the same problem.  It doesn't matter if I use yum from the command line, yumex, or the graphic updater.  
smolt:
http://www.smolts.org/show?uuid=pub_d2ef592d-6935-4fe4-9e46-2bd3c2b718f3
Comment 5 Gavin Simpson 2009-06-26 17:20:33 EDT
I have the same problem when using Package-kit and yum. smolt: http://www.smolts.org/show?uuid=f4473bcd-3730-467c-95b8-5e7ce4fcd11c
Comment 6 Gavin Simpson 2009-07-21 18:20:42 EDT
(In reply to comment #5)
> I have the same problem when using Package-kit and yum. smolt:
> http://www.smolts.org/show?uuid=f4473bcd-3730-467c-95b8-5e7ce4fcd11c  

That should have been:

http://www.smolts.org/show?uuid=pub_91b62626-6cda-4ca8-9726-2d684fc62e9c

(why does smolt get the wrong uuid...?)
Comment 7 Aron Parsons 2009-07-25 11:32:38 EDT
+1 running F11 x86_64 with Intel graphics.
Comment 9 Matěj Cepl 2009-11-17 07:01:55 EST
Switching incorrect assignees to the default one.
Comment 10 Bug Zapper 2009-11-18 06:19:21 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 03:59:32 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.